Bug 154173 - [PATCH]sysutils/rename: fix compilation with recent versions of gcc
Summary: [PATCH]sysutils/rename: fix compilation with recent versions of gcc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-20 20:10 UTC by Brendan Fabeny
Modified: 2011-03-16 19:50 UTC (History)
0 users

See Also:


Attachments
file.diff (571 bytes, patch)
2011-01-20 20:10 UTC, Brendan Fabeny
no flags Details | Diff
rename_1.3_1.diff (1.04 KB, patch)
2011-02-05 20:11 UTC, Joseph S. Atkinson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brendan Fabeny freebsd_committer 2011-01-20 20:10:02 UTC
Replace an if-less elif that causes some pre-processors to choke, including that of lang/gcc45.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-01-20 20:10:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-01-20 20:10:14 UTC
Maintainer of sysutils/rename,

Please note that PR ports/154173 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/154173

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-01-20 20:10:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Joseph S. Atkinson freebsd_committer 2011-02-04 01:13:03 UTC
I just took maintainership of this port at the author/maintainer's request. Will 
check for regression with base gcc and nod on this tomorrow.
Comment 5 Joseph S. Atkinson freebsd_committer 2011-02-05 20:11:57 UTC
This is approved, but I would like to incorporate it into this commit.

I also tested this with clang, which spit out a warning about a non-string 
literal not being secure, which I have also corrected.
Comment 6 b. f. 2011-03-09 05:22:10 UTC
On 2/7/11, b. f. <bf1783@googlemail.com> wrote:
> On 2/5/11, Joseph S. Atkinson <jsa@freebsd.org> wrote:
>> The following reply was made to PR ports/154173; it has been noted by
>> GNATS.
>>
>> From: "Joseph S. Atkinson" <jsa@FreeBSD.org>
>> To: bug-followup@FreeBSD.org, bf@FreeBSD.org
>> Cc:
>> Subject: Re: ports/154173: [PATCH]sysutils/rename: fix compilation with
>> recent
>>  versions of gcc
>> Date: Sat, 05 Feb 2011 15:11:57 -0500
>>
>>  This is a multi-part message in MIME format.
>>  --------------030805030707040203070300
>>  Content-Type: text/plain; charset=ISO-8859-1; format=flowed
>>  Content-Transfer-Encoding: 7bit
>>
>>  This is approved, but I would like to incorporate it into this commit.
>>
>>  I also tested this with clang, which spit out a warning about a
>> non-string
>>  literal not being secure, which I have also corrected.
>
> Seems fine to me.  There are a lot of grammar and spelling mistakes in
> the manpage, and "skipped" is wrongly written with one 'p' in some
> printf's.  When you correct the problem mentioned in the PR, please
> close it.


Any movement on this?  If you're too busy at the moment, I can commit
either your patch or mine, and close this PR.

b.
Comment 7 dfilter service freebsd_committer 2011-03-16 19:32:40 UTC
jsa         2011-03-16 19:32:21 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/rename      Makefile 
  Added files:
    sysutils/rename/files patch-rename.c 
  Log:
  Fix when building with GCC 4.5. While here, fix gripe with clang and a
  few typos.
  
  PR:             ports/154173
  Submitted by:   bf
  Approved by:    kwm (mentor)
  
  Revision  Changes    Path
  1.5       +1 -0      ports/sysutils/rename/Makefile
  1.1       +28 -0     ports/sysutils/rename/files/patch-rename.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Joseph S. Atkinson freebsd_committer 2011-03-16 19:50:03 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!